@echo off
cls
echo Lists all ISO files which don't have a .imgPTN file
echo.
echo Usage: %~0 {folder-path}
echo.
set BB=
set FOLDERPATH=%~1
if "%~1"=="" set /p FOLDERPATH=Enter folder path containing the .ISO files (e.g. "C:\temp\ISOs\") : 
echo Looking in %FOLDERPATH% for .imgPTN files...
echo.
for /R "%FOLDERPATH%" %%A in (*.iso) do if not exist %%~dpnA.imgPTN echo %%A & SET BB=1
if "%BB%"=="" echo No missing .imgPTN files - all OK!
echo.
pause
